class Kotelet {
    float x, y, vX, vY;
    float speed = 3;
    int size = floor(random(30, 60));
    float greyColor= random(10, 100);
    PImage kotelet;


    Kotelet() {
        x = random(width);
        y = random(height);

        vX = random(-speed, speed);
        vY = random(-speed, speed);
        kotelet = loadImage("Kotelet.png");
        kotelet.resize(size,size);
    }

    void move() {
        x += vX;
        y += vY;

        if (x>width + size/2) {
            x=0-size/2;
        }

        if (x<0-size/2) {
            x=width+size/2;
        }

        if (y>height+size/2) {
            y=0-size/2;
        }

        if (y<0-size/2) {
            y=height+size/2;
        }
    }

    void show() {
        //fill(greyColor);
        //ellipse(x, y, size, size);
        image(kotelet, x, y, size, size);
    }
}

class Frikadelle {
    float x, y, vX, vY;
    float speed = 3;
    int size = floor(random(30, 60));
    float greyColor= random(10, 100);
    PImage frikadelle;

    
    Frikadelle() {
        x = random(width);
        y = random(height);

        vX = random(-speed, speed);
        vY = random(-speed, speed);
        frikadelle = loadImage("frikadeller.png");
        frikadelle.resize(size,size);
    }

    void move() {
        x += vX;
        y += vY;

        if (x>width + size/2) {
            x=0-size/2;
        }

        if (x<0-size/2) {
            x=width+size/2;
        }

        if (y>height+size/2) {
            y=0-size/2;
        }

        if (y<0-size/2) {
            y=height+size/2;
        }
    }

    void show() {
        //fill(greyColor);
        //ellipse(x, y, size, size);
        image(frikadelle, x, y, size, size);
    }
}

class Vindmolle {
    float x, y, vX, vY;
    float speed = 3;
    int size = floor(random(30, 60));
    float greyColor= random(10, 100);
    PImage vindmolle;

    Vindmolle() {
        x = random(width);
        y = random(height);

        vX = random(-speed, speed);
        vY = random(-speed, speed);
        vindmolle = loadImage("Vindmolle.png");
        vindmolle.resize(size,size);
    }

    void move() {
        x += vX;
        y += vY;

        if (x>width + size/2) {
            x=0-size/2;
        }

        if (x<0-size/2) {
            x=width+size/2;
        }

        if (y>height+size/2) {
            y=0-size/2;
        }

        if (y<0-size/2) {
            y=height+size/2;
        }
    }

    void show() {
        //fill(greyColor);
        //ellipse(x, y, size, size);
        image(vindmolle, x, y, size, size);
    }
}

class KlimaBullet {

    float x, y;
    float speed =17;
    float size = 5;
    float vY;


    KlimaBullet() {

        x = 30;
        y = 600;
        vY = -speed;
    }

    void show() {
        fill(255, 222, 8);
        ellipse(x, y, size, size);
    }



    void movement() {
        y = y + vY;
    }
}

class KlimaDan {

    float x, y, vX, vY;
    float speed = 3;
    float shipWidth = 50;
    float shipHeight = 50;
    PImage KlimaDan;
    


    KlimaDan() {

        x = width/2;
        y = height/2;
        KlimaDan =  loadImage("KlimaDan.png");
    }

    void show() {
        
        imageMode(CENTER);
        image(KlimaDan, x, y);
    }

    void update() {
        movement();
        show();
    }

    //Movement of Klima Dan
    void movement() {
        x+= vX;
        y+=vY;

        if (x>width + shipWidth/2) {
            x=0-shipWidth/2;
        }

        if (x<0-shipWidth/2) {
            x=width+shipWidth/2;
        }

        if (y>height+shipHeight/2) {
            y=0-shipHeight/2;
        }

        if (y<0-shipHeight/2) {
            y=height+shipHeight/2;
        }
    }

    void stopYmovement() {
        vY=0;
    }

    void stopXmovement() {
        vX = 0;
    }


    void moveUp() {
        vY = -1*speed;
    }

    void moveDown() {
        vY = speed;
    }

    void moveLeft() {
        vX = -1 * speed;
    }

    void moveRight() {
        vX=speed;
    }
}
