class Journalist {
    float x, y, vX, vY;
    float speed = 3;
    int size = floor(random(30, 50));
    float greyColor= random(10, 100);
    PImage jour;

    Journalist() {
        x = random(width);
        y = random(height);

        vX = random(-speed, speed);
        vY = random(-speed, speed);
        jour = loadImage("Journalist2.png");
        jour.resize(size, size);
    }

    void move() {
        x += vX;
        y += vY;

        if (x>width + size/2) {
            x=0-size/2;
        }

        if (x<0-size/2) {
            x=width+size/2;
        }

        if (y>height+size/2) {
            y=0-size/2;
        }

        if (y<0-size/2) {
            y=height+size/2;
        }
    }

    void show() {
        //fill(greyColor);
        //ellipse(x, y, size, size);
        image(jour, x, y);
    }
}

class Bullet {

    float x, y;
    float speed =17;
    float size = 5;
    float vY;


    Bullet() {

        x = 30;
        y = 600;
        vY = -speed;
    }

    void show() {
        fill(255, 222, 8);
        ellipse(x, y, size, size);
    }



    void movement() {
        y = y + vY;
    }
}

class Mette {

    float x, y, vX, vY;
    float speed = 3;
    float shipWidth = 50;
    float shipHeight = 50;
    PImage Mette;

    Mette() {

        x = width/2;
        y = height/2;

        Mette =  loadImage("Mette1.png");
    }

    void show() {

        imageMode(CENTER);
        image(Mette, x, y);
    }

    void update() {
        movement();
        show();
    }

    //Movement of Mette
    void movement() {
        x+= vX;
        y+=vY;

        if (x>width + shipWidth/2) {
            x=0-shipWidth/2;
        }

        if (x<0-shipWidth/2) {
            x=width+shipWidth/2;
        }

        if (y>height+shipHeight/2) {
            y=0-shipHeight/2;
        }

        if (y<0-shipHeight/2) {
            y=height+shipHeight/2;
        }
    }

    void stopYmovement() {
        vY=0;
    }

    void stopXmovement() {
        vX = 0;
    }


    void moveUp() {
        vY = -1*speed;
    }

    void moveDown() {
        vY = speed;
    }

    void moveLeft() {
        vX = -1 * speed;
    }

    void moveRight() {
        vX=speed;
    }
}
