
ArrayList<Kotelet> KoteletList = new ArrayList<Kotelet>();
ArrayList<Frikadelle> FrikadelleList = new ArrayList<Frikadelle>();
ArrayList<Vindmolle> VindmolleList = new ArrayList<Vindmolle>();
KlimaDan KlimaD;
ArrayList<KlimaBullet> KlimaBulletList = new ArrayList<KlimaBullet>();
int KlimaPoint = 0;
int KlimaLiv = 3;


void KlimaDanRegler() {
    background (0, 200, 0);
    textAlign(CENTER);
    rectMode(CENTER);
    textSize(48);
    fill(255);
    text("KlimaDan-spillet", width/2, 80);
    textSize(24);
    String KlimaDanForklaring = "Du er den grønneste klimaminister Danmark har haft. Vi skal have massere af svinekød og olie op af Nordsøen, for vi må ikke gøre landbruget sure";
    String KlimaDanRegler = "Du styrer således: a = venstre, d = højre, w = op, s = ned, mellemrum = du skyder op ad. Du har 3 liv, og mister et hver gang du støder ind i vindmøller. Du får point når du nedskyder vindmøller og når du spiser svinekød. Du vinder når du har fået 10 point. Du forlader spillet og vender tilbage til forsiden ved at trykke på P"; 
    text(KlimaDanForklaring, width/2, 330, 800, 400);
    text(KlimaDanRegler, width/2, 530, 800, 400);
    fill(70);
    text("Tryk mellemrum for at starte spillet", width/2, 600);

    if (keyPressed && key ==' ') {
        state = 70;
    }
}

void KlimaDanVinder() {
    background (0, 200, 0);
    textAlign(CENTER);
    rectMode(CENTER);
    textSize(48);
    fill(255);
    text("KlimaDan-spillet", width/2, 80);
    String KlimaDVinder = "Du har indsamlet nok svinekød og har fået 10 point. Tillykke du er en rigtig god klimaminsiter!";
    textSize(30);
    text(KlimaDVinder, width/2, 430, 800, 400);
    fill(0);
    textSize(24);
    fill(70);
    text("Tryk P for at vende tilbage til start og vælg et spil", width/2, 500);

    //Tilbage til start
    if (keyPressed && key == 'p' || key == 'P') {
        state = 10; 
        KlimaDanReset();
    }
}

void KlimaDanTaber() {
    background (150);
    textAlign(CENTER);
    rectMode(CENTER);
    textSize(48);
    fill(255);
    text("KlimaDan-spillet", width/2, 80);  
    textSize(30);
    String RossenSkuffet = "Landbruget er nu blevet rigtig sure";
    String RossenSkuffet1 = "Skynd dig at købe en masse svinekød, så landbruget ikke stemmer blåt næste gang!";
    text(RossenSkuffet, width/2, 430, 800, 400);
    text(RossenSkuffet1, width/2, 530, 800, 400);
    textSize(24);
    fill(70);
    text("Tryk P for at vende tilbage til start og vælg et spil", width/2, 580);

    //tilbage til start
    if (keyPressed && key == 'p' || key == 'P') {
        state = 10; 
        KlimaDanReset();
    }
}

void KlimaDanReset() {
    KlimaLiv = 3;
    KlimaPoint = 0;
    KlimaBulletList.remove(KlimaBulletList);
}




void KlimaDanSpillet() {
    background (0, 200, 0);
    textAlign(CENTER);
    textSize(30);
    fill(255);
    text("Liv : "+ KlimaLiv, width/2-100, 25);
    text("Point : " + KlimaPoint, width/2+100, 25);


    //Show all Koteletter from arraylist
    for (int index = 0; index<KoteletList.size(); index ++) {
        Kotelet tempKotelet = KoteletList.get(index);

        float tempDist = dist(tempKotelet.x, tempKotelet.y, KlimaD.x, KlimaD.y);

        if (tempDist <KlimaD.shipHeight/2+tempKotelet.size/2) {
            println(tempDist);
            KoteletList.remove(index);

            KlimaPoint +=1;
            KoteletList.add(new Kotelet ());
        }
        tempKotelet.move();

        tempKotelet.show();
    }

    // Show frikadeller from arraylist
    for (int index = 0; index<FrikadelleList.size(); index ++) {
        Frikadelle tempFrikadelle = FrikadelleList.get(index);

        float tempDist = dist(tempFrikadelle.x, tempFrikadelle.y, KlimaD.x, KlimaD.y);

        if (tempDist<KlimaD.shipHeight/2 + tempFrikadelle.size/2) {
            FrikadelleList.remove(index);

            KlimaPoint +=1;
            FrikadelleList.add(new Frikadelle());
        }
        tempFrikadelle.move();
        tempFrikadelle.show();
    }

    //Show all vindmoller from arraylist
    for (int index=0; index<VindmolleList.size(); index ++) {
        Vindmolle tempVindmolle = VindmolleList.get(index);

        float tempDist = dist(tempVindmolle.x, tempVindmolle.y, KlimaD.x, KlimaD.y);

        if (tempDist<KlimaD.shipHeight/2 + tempVindmolle.size/2) {
            VindmolleList.remove(index);

            KlimaLiv -=1;
            KlimaD.x=width/2;
            KlimaD.y=height/2;
            VindmolleList.add(new Vindmolle());
        }
        tempVindmolle.move();
        tempVindmolle.show();
    }


    //Show KlimaDan
    KlimaD.update();

    //Show bullets

    for (int indexBullet = 0; indexBullet < KlimaBulletList.size(); indexBullet++) {
        KlimaBullet tempBullet = KlimaBulletList.get(indexBullet);  
        tempBullet.movement();


        //Koteletter
        for (int indexKotelet = 0; indexKotelet < KoteletList.size(); indexKotelet ++) {
            Kotelet tempKotelet = KoteletList.get(indexKotelet);
            float distanceBulletKotelet =  dist(tempKotelet.x, tempKotelet.y, tempBullet.x, tempBullet.y);


            if (distanceBulletKotelet <tempBullet.size/2+tempKotelet.size/2)
            {

                KoteletList.remove(indexKotelet);
                KlimaBulletList.remove(indexBullet);
                KlimaPoint -=1;
                KlimaLiv -=1;
                KoteletList.add(new Kotelet ());
            }
        }

        //Frikadeler
        for (int indexFrikadelle = 0; indexFrikadelle < FrikadelleList.size(); indexFrikadelle ++) {
            Frikadelle tempFrikadelle = FrikadelleList.get(indexFrikadelle);
            
            float distanceBulletFrikadelle =  dist(tempFrikadelle.x, tempFrikadelle.y, tempBullet.x, tempBullet.y);


            if (distanceBulletFrikadelle <tempBullet.size/2+tempFrikadelle.size/2) {
                FrikadelleList.remove(indexFrikadelle);
                KlimaBulletList.remove(indexBullet);
                KlimaPoint -=1;
                KlimaLiv -=1;
                FrikadelleList.add(new Frikadelle ());
            }
        }

        //Vindmøller
        for (int indexVindmolle = 0; indexVindmolle < VindmolleList.size(); indexVindmolle ++) {
            Vindmolle tempVindmolle = VindmolleList.get(indexVindmolle);
            float distanceBulletVindmolle = dist(tempVindmolle.x, tempVindmolle.y, tempBullet.x, tempBullet.y);

            if (distanceBulletVindmolle < tempBullet.size/2 + tempVindmolle.size/2) {
                VindmolleList.remove(indexVindmolle);
                KlimaBulletList.remove(indexBullet);
                KlimaPoint += 1;
                VindmolleList.add(new Vindmolle());
            }
        }

        tempBullet.show();

        if (tempBullet.y<0+tempBullet.size/2 && KlimaBulletList.size()<1) {
            KlimaBulletList.remove(indexBullet);
        }
    }

    //KlimaDan Vinder
    if (KlimaPoint ==10) {
        state = 80;
    }

    //KlimaDan taber
    if (KlimaLiv==0) {
        state = 90;
    }


    //Tilbage til start
    if (keyPressed && key == 'p' || key == 'P') {
        state = 10;   
        KlimaDanReset();
    }
}
